package com.casic.missiles.service.business;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.BaseApprovalSubmitRequest;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.business.siteExecutive.BusinessSiteExecutiveDetail;
import com.casic.missiles.dto.business.siteExecutive.SiteExecutiveApprovalListRequest;
import com.casic.missiles.dto.business.siteExecutive.SiteExecutiveApprovalListResponse;
import com.casic.missiles.dto.flowable.ApprovalDeleteRequest;
import com.casic.missiles.model.business.BusinessSiteExecutiveInfo;

import java.util.List;

/**
 * <p>
 * 现场检测表 服务类
 * </p>
 *
 * @author zt
 * @since 2023-03-25
 */
public interface IBusinessSiteExecutiveInfoService extends IService<BusinessSiteExecutiveInfo> {

    List<SiteExecutiveApprovalListResponse> siteExecutiveApprovalListPage(SiteExecutiveApprovalListRequest request, Page<SiteExecutiveApprovalListResponse> page) throws Exception;

    ReturnDTO saveSiteExecutiveInfo(BusinessSiteExecutiveInfo siteExecutiveInfo);

    ReturnDTO siteExecutiveInfoSubmit(BaseApprovalSubmitRequest request);

    ReturnDTO failUpdate(BusinessSiteExecutiveInfo siteExecutiveInfo);

    ReturnDTO approvalDelete(ApprovalDeleteRequest request);

    ReturnDTO deleteBatchSiteExecutive(List<Long> ids);

    ReturnDTO draftUpdate(BusinessSiteExecutiveInfo siteExecutiveInfo);

    BusinessSiteExecutiveDetail siteExecutiveInfoDetail(Long id) throws Exception;

}
